//
//  AASDirectoryFilter.h
//  AASFilesystemTools
//
//  Created by Andreas Schwarz on 3/11/08.
//  Copyright (c) 2001-2009 Andreas Schwarz @ immaterial.
//

/* This AASFileFilter subclass is used by the AASRecursiveFileLoadOperation to determine if a particular file should be included as a directory. However, in addition to the standard filter method, AASDirectoryFilter includes a method which returns a file object for the 'true' directory which is called if -shouldIncludeFile: returns yes. Subclasses which override -shouldIncludeFile: to include things such as symbolic links and aliases to directories should pass an object representing the 'real' directory here. */


#import <Cocoa/Cocoa.h>


@interface AASDirectoryFilter : AASFileFilter {

}

/* The default implementation returns YES or NO depending on the -isBasicDirectory method of 'file'. */ 
- (BOOL)shouldIncludeFile:(AASFile *)file;

/* The default implementation just returns 'file'. */
- (AASFile *)trueDirectoryObjectForFile:(AASFile *)file;

@end
