//
//  AASFileManagerOperations.h
//  AASFilesystemTools
//
//  Created by Andreas Schwarz on 3/3/08.
//  Copyright (c) 2001-2009 Andreas Schwarz @ immaterial.
//
//  OS X 10.5 or later required.

#import <Foundation/Foundation.h>
#import <CoreServices/CoreServices.h>


/* This AASFileManager category contains some convenient methods for getting file objects as well as methods to manipulate files associated with file objects. Some day these will return an NSDictionary with error information rather than just a BOOL value. */




@interface AASFileManager (FileOperations)


/* Convenience methods */

/* Method for getting an autoreleased array of file objects that represent the contents of a directory wihthout using an AASDirectorySubscription. If there's another object that has subscribed to the directory, this will be able to efficiently reuse that same collection. */
- (NSArray *)filesInDirectory:(AASFile *)directory;



/* File Manipulation */

/* Takes an array of file objects and moves them to the trash by sending appleevents to the Finder */
- (BOOL)moveFilesToTrash:(NSArray *)files;



@end
