//
//  GBAsynchronousThumbnailCreator.h
//  GBBasicsKit
//
//  Created by Andreas Schwarz on 3/12/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GBAsynchronousThumbnailCreator;
@class GBThumbnailCreatorOperation;
@class GBFile;

// Delegate must implement this method
@interface NSObject (GBAsynchronousThumbnailCreatorDelegate)
- (void)asynchronousThumbnailCreator:(GBAsynchronousThumbnailCreator *)creator createdThumbnail:(CGImageRef)thumb forFile:(GBFile *)file nextInQueue:(GBFile *)nextFile;
@end



@interface GBAsynchronousThumbnailCreator : NSObject {
	NSMutableArray *loadingArray;
	NSMutableArray *filesToProcess;
	
    NSLock *loadingArrayLock;
    NSLock *filesToProcessLock;
	
	GBThumbnailCreatorOperation *thumbnailOperation;
	NSTimer *updateTimer;
	
	id delegate;

    BOOL checkIfDifferent;
    BOOL saveToResourceFork;
    BOOL stripResourceFork;
    BOOL lowQuality;
    float compression;
    int sharpening;
    int previewSize;
}

- (id)initWithDelegate:(id)del;

- (int)countLeft;

- (void)addFilesToQueue:(NSArray *)files;

- (void)clearQueue;


@property(assign) id delegate;
@property BOOL checkIfDifferent;
@property BOOL saveToResourceFork;
@property BOOL stripResourceFork;
@property BOOL lowQuality;
@property float compression;
@property int sharpening;
@property int previewSize;

@end
